
Redmine - Patch #1287

Importing from trac : some wiki links are messed

2008-05-22 16:41 - Paul Rivier

Status: Closed Start date: 2008-05-22

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 100%

Category: Importers Estimated time: 0.00 hour

Target version: 0.7.2   

Description

Trac most common wiki links syntax is :

[ wiki:pageName Go to page name ]

 It should be converted in textile to :

[ [ pageName|Go to page name ] ]

but is currently converted to :

[ [ pageName ] ]

which is a loss of information.    

Attached patch fixes the issue.

PS : notice the space voluntary introduced to be able to past textile syntax here. I can't find any way to escape it, < pre > does not

work at least, nor < code >

Associated revisions

Revision 1494 - 2008-06-06 17:02 - Jean-Philippe Lang

Trac importer: improves wiki link conversion (#1287).

History

#1 - 2008-05-30 07:18 - Paul Rivier

- Target version changed from 0.8 to 0.7.2

changed to version 0.7.2, as such a small fix can be applied in a maintainance release. thx

#2 - 2008-06-06 16:58 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 90 to 100

Patch applied in r1494. Thanks.

Files

wiki-links.patch 918 Bytes 2008-05-22 Paul Rivier

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/1494
http://www.tcpdf.org

